########################################################################
#
# File Name:            DbUtil.py
#
# Documentation:        http://docs.ftsuite.com/Lib/PgDatabase.py.html
#
"""
A utility module for database connections.
WWW: http://4suite.org/4ODS         e-mail: support@4suite.org

Copyright 2002 Fourthought, Inc. USA.
See  http://4suite.org/COPYRIGHT  for license and copyright information
"""

try:
    import EscapeQuotesc
    EscapeQuotes = EscapeQuotesc.escape
except ImportError:
    def EscapeQuotes(qstr):
        """----------------------------------------------------------
        Postgres uses single quotes for string marker, so put a
        backslash before single quotes for insertion into a database.
        pre: qstr = string to be escaped
        post: return the string with all single quotes escaped
        ----------------------------------------------------------"""
        if qstr is None:
            return ''
        tmp = qstr.replace("\\","\\\\")
        tmp = tmp.replace("'", "\\'")
        return tmp
