name = "4Lib"
version = "0.12.0a3"
description = "A Collection of common utilities"
author = "Fourthought, Inc."
author_email = "support@4suite.org"
url = "http://www.4suite.org"
long_description = "Blah Blah Blah"

from Ft.Lib.DistExt import Localization, Extension
from Ft.Lib.DistExt import Document


packages = ['Ft',
            'Ft.Lib',
            'Ft.Lib.CommandLine',
            'Ft.Lib.DistExt',
            'Ft.Lib.DistExt.Tools',
            'Ft.Lib.DistExt.Formatters',
            'Ft.Lib.TestSuite',
            'Ft.Share',
            'Ft.Share.ExtensionModules',
            'Ft.Share.Temp',
            'Ft.Share.Bin',
            ]

tests = ['',
         'Lib',
         ]
    
data_files = [('Ft.Share.Profile',['profile/*.*']),
              ('Ft.Share.LoadTest',['load_test/*.*']),
              ('Ft.Share.Docs.html.HowTos.images',['docs/src/HowTos/images/*.*']),  #images for the how toos
              ]


ext_modules = [Extension('Ft.Lib.number',
                         include_dirs=['Ft/Lib/src'],
                         sources=['Ft/Lib/src/number.c'],
                         ),
               Extension('Ft.Lib.EscapeQuotesc',
                         include_dirs=[],
                         sources=['Ft/Lib/src/escapequotes.c'],
                         ),
               Extension('Ft.Lib.boolean',
                         include_dirs=[],
                         sources=['Ft/Lib/src/boolean.c'],
                         ),
               ]

l10n = [Localization(package='Ft.Lib',
                     domain='4Suite',
                     sources=['Ft/Lib/MessageSource.py']),
        ]

doc_files = [Document('docs/xml/HowTos/4SuiteCVS.doc',
                      'HowTos',
                      htmlStylesheets=['Ft/Data/docbook_html1.xslt'],
                      htmlOutfile='4SuiteCVS.html',
                      textStylesheets=['Ft/Data/docbook_text1.xslt'],
                      textOutfile='4SuiteCVS',
                      title='4Suite CVS access'
                      ),
             Document('docs/xml/HowTos/QuickStart.doc',
                      'HowTos',
                      htmlStylesheets=['Ft/Data/sdocbook_html.xslt'],
                      htmlOutfile='QuickStart.html',
                      #textStylesheets=['Ft/Data/docbook_text1.xslt'],
                      #textOutfile='4SuiteCVS',
                      title='4Suite Quick Start Guide'
                      ),
             Document('docs/xml/HowTos/UNIX.doc',
                      'HowTos',
                      htmlStylesheets=['Ft/Data/docbook_html1.xslt'],
                      htmlOutfile='UNIX.html',
                      textStylesheets=['Ft/Data/docbook_text1.xslt'],
                      textOutfile='UNIX',
                      title='Installing 4Suite on UNIX'
                      ),
             Document('docs/xml/HowTos/Windows.doc',
                      'HowTos',
                      htmlStylesheets=['Ft/Data/docbook_html1.xslt'],
                      htmlOutfile='Windows.html',
                      textStylesheets=['Ft/Data/docbook_text1.xslt'],
                      textOutfile='Windows',
                      title='Installing 4Suite on Windows'
                      ),
             Document('docs/xml/COPYRIGHT.doc',
                      '',
                      htmlStylesheets=['Ft/Data/docbook_html1.xslt'],
                      htmlOutfile='COPYRIGHT.html',
                      textStylesheets=['Ft/Data/docbook_text1.xslt'],
                      textOutfile='COPYRIGHT',
                      title='Copyright'
                      ),
             Document('docs/xml/ReleaseNotes.doc',
                      '',
                      htmlStylesheets=['Ft/Data/docbook_html1.xslt'],
                      htmlOutfile='ReleaseNotes.html',
                      textStylesheets=['Ft/Data/docbook_text1.xslt'],
                      textOutfile='ReleaseNotes',
                      title='Current Release Notes'
                      ),
             ]

    

dependencies = [('Stylesheets', '0.8')]

# Cleanup local namespace
del Document
del Localization
del Extension
