########################################################################
#
# File Name:            Create.Container.py
#
# Documentation:        http://docs.4suite.org/4SS/Lib/CommandLine.py.html
#
"""
WWW: http://4suite.org        e-mail: support@4suite.org

Copyright (c) 2001 Fourthought Inc, USA.   All Rights Reserved.
See  http://4suite.org/COPYRIGHT  for license and copyright information
"""

__doc__ = """This command will create a new continaer on the XML Server.  You will be prompted for a user name and password.  You must login as a user with write permissions. to the parent of the container being created."""

import sys
from Ft.Server.Client import FtServerClientException
from Ft.Server.Client.Commands import CommandUtil


def Run(options, args):
    try:
        commit = 0
        repo = CommandUtil.GetRepository(options, '4ss.create.container')
        try:
            repo.createContainer(args['path'], options.get('create-parents') != None)
            commit = 1
        finally:
            try:
                if commit:
                    repo.txCommit()
                else:
                    repo.txRollback()
            except:
                pass
    except FtServerClientException, e:
        sys.stderr.write(str(e))


def Register():

    from Ft.Lib.CommandLine import Options, Command, Arguments

    cmd = Command.Command('container',
                          'Create a new container',
                          '/documents',                          
                          __doc__,
                          function=Run,
                          arguments=[Arguments.RequiredArgument('path',
                                                                'container path to create',
                                                                str),
                                     ],
                          options=Options.Options([Options.Option('p',
                                                                  'create-parents',
                                                                  'Recursively build all parent containers to complete the path.'),
                                                   ]),
                          fileName=__file__,
                          )
    return cmd

