########################################################################
#
# File Name:            List.Users.py
#
# Documentation:        http://docs.4suite.org/4SS/Lib/CommandLine.py.html
#
"""
WWW: http://4suite.org        e-mail: support@4suite.org

Copyright (c) 2001 Fourthought Inc, USA.   All Rights Reserved.
See  http://4suite.org/COPYRIGHT  for license and copyright information
"""

__doc__ = """Display a list of all users in the system"""

import sys
from Ft.Server.Client import FtServerClientException
from Ft.Server.Client.Commands import CommandUtil

def Run(options,args):
    try:
        repo = CommandUtil.GetRepository(options, '4ss.list.users')
        try:
            if options.has_key('fullpaths'):
                users = repo.getAllUserPaths()
            else:
                users = repo.getAllUserNames()
        finally:
            try:
                repo.txRollback()
            except:
                pass
    except FtServerClientException, e:
        sys.stderr.write(str(e))
        return

    sys.stderr.write("Users in the system")
    sys.stderr.write("-"*20+"\n")

    for u in users:
        print u


def Register():

    from Ft.Lib.CommandLine import Options, Command, Arguments

    cmd = Command.Command('users',
                          'List the users in the system.',
                          '',
                          __doc__,
                          function = Run,
                          options = Options.Options([Options.Option('f',
                                                                    'fullpaths',
                                                                    'list full paths instead of user names'),
                                     ]),
                          arguments = [
                                       ],
                          fileName = __file__,
                          )
    return cmd


