########################################################################
#
# File Name:            Update.Extension.py
#
#
"""
Reload an extension module
WWW: http://4suite.org        e-mail: support@4suite.org

Copyright (c) 2002 Fourthought Inc, USA.   All Rights Reserved.
See  http://4suite.org/COPYRIGHT  for license and copyright information
"""

__doc__ = """Reload an extension module in the running 4Suite repository instance"""

import sys
from Ft.Server.Client import FtServerClientException
from Ft.Lib import Uri

from Ft.Server.Client.Commands import CommandUtil

def Run(options,args):
    module = args['module']

    try:
        repo = CommandUtil.GetRepository(options,'4ss.update.extension')
        try:
            repo.reloadModule(module)
        finally:
            try:
                repo.txRollback()
            except:
                pass
    except FtServerClientException, e:
        sys.stderr.write(str(e))


def Register():

    from Ft.Lib.CommandLine import Options, Command, Arguments

    cmd = Command.Command('extension',
                          """Reload an extension module""",
                          'Ft.Share.ExtensionModules.SomeModule',
                          __doc__,
                          function = Run,
                          arguments = [
                                       Arguments.RequiredArgument('module',
                                                                  "The Python module name",
                                                                  str),
                                       ],
                          fileName = __file__,
                          )
    return cmd


