########################################################################
#
# File Name:            Fetch.Document.py
#
# Documentation:        http://docs.4suite.org/4SS/Lib/CommandLine.py.html
#
"""
WWW: http://4suite.org        e-mail: support@4suite.org

Copyright (c) 2001 Fourthought Inc, USA.   All Rights Reserved.
See  http://4suite.org/COPYRIGHT  for license and copyright information
"""

__doc__ = """Clear the logs"""

import time, os
#import sys
#from Ft.Server.Common import ClAuthenticate

from Ft import SHARE_DIR

from Ft.Server.Server.Commands import CommandUtil
from Ft.Server.Server import FtServerServerException
#from Ft.Server.Server import SCore
def Run(options,args):

    fileName = 'error.log'
    if options.get('access-log'):
        fileName = 'access.log'

    try:
        u,p,props,repo = CommandUtil.GetRepository(options,'4ss_manager.log.clear')
        try:
            #Just verify the permissions
            ans = raw_input("Are You sure you want to clear: %s (yes/no)" % fileName)
            if ans.lower() not in ['y','yes']:
                return
            fileName = os.path.join(SHARE_DIR,'Data','Logs','%s-%s' % (props['CoreId'],fileName))
            open(fileName,'w').write("Log cleared on %s by %s\n" % (time.asctime(time.localtime(time.time())),
                                                                    u))

        finally:
            repo.txRollback()
    except FtServerServerException, e:
        print e
        return


def Register():

    from Ft.Lib.CommandLine import Options, Command, Arguments

    cmd = Command.Command('clear',
                          'Clear a 4SS Log',
                          '',
                          __doc__,
                          function = Run,
                          fileName = __file__,
                          )
    return cmd


