########################################################################
#
# File Name:            Fetch.Document.py
#
# Documentation:        http://docs.4suite.org/4SS/Lib/CommandLine.py.html
#
"""
WWW: http://4suite.org        e-mail: support@4suite.org

Copyright (c) 2001 Fourthought Inc, USA.   All Rights Reserved.
See  http://4suite.org/COPYRIGHT  for license and copyright information
"""

__doc__ = """View the logs"""

import time, sys
#from Ft.Server.Common import ClAuthenticate

from Ft.Server.Server.Commands import CommandUtil
from Ft.Server.Server import FtServerServerException
from Ft.Server.Server import SCore
from Ft.Server.Server.Lib import LogUtil
def Run(options,args):

    fileName = 'error.log'
    lastEnd = None
    delay = int(options.get('delay',5))

    #Get once to login and verify ACL
    u,p,props,repo = CommandUtil.GetRepository(options,'4ss_manager.log.view')
    repo.txRollback()

    try:
        while 1:
            repo = SCore.GetRepository(u,p,LogUtil.NullLogger(),props)
            try:
                log = repo.fetchResource('/ftss').fetchResource(fileName)
                if lastEnd is None or log.getSize() < lastEnd:
                    #They been cleared
                    lastEnd = log.getSize() - 1000
                    if lastEnd < 0: lastEnd = 0
                cont = log.getContentSlice(lastEnd,None)
                lastEnd = lastEnd + len(cont)
                sys.stdout.write(cont)
            finally:
                repo.txCommit()
            time.sleep(delay)
    except FtServerServerException, e:
        print e
        return


def Register():

    from Ft.Lib.CommandLine import Options, Command, Arguments

    cmd = Command.Command('view',
                          'View a 4SS Log',
                          '',
                          __doc__,
                          function = Run,
                          options = Options.Options([Options.Option(None,
                                                                    'delay=secs',
                                                                    "Delay between updates, default is 5"),
                                                     ]),


                          fileName = __file__,
                          )
    return cmd


