"""
The stop command is used to stop any or all of the 4SS servers.  To stop
all the servers, execute the stop command with out any arguments.  To stop
an individual server, specify their names as command line arguments.  You
will be prompted for authentication before you can stop the servers.
"""

from Ft.Server.Server import Launcher
from Ft.Server.Server.Commands.CommandUtil import GetRepository

def Run(options, args):

    username, password, properties, repo = GetRepository(options,
                                                         '4ss_manager.stop')
    repo.txRollback()

    try:
        launcher = Launcher.Launcher(username, password, properties)
        launcher.stop()
    except Exception, error:
        print str(error)
    return


def Register():
    from Ft.Lib.CommandLine import Command

    cmd = Command.Command('stop',
                          "Stop the 4Suite Server",
                          '',
                          __doc__,
                          function=Run,
                          fileName=__file__,
                          )
    return cmd

