"""
Provides tools for generating system messages
"""

##try:
##    import os, gettext
##    locale_dir = os.path.split(__file__)[0]
##    gettext.install('4SS', locale_dir)
###Note, 1.5.2 has gettext, but no install
##except (ImportError,AttributeError,IOError):
##    def _(msg):
##        return msg

def _(msg):
    return msg



class Error:
    INTERNAL_ERROR = 1
    TRANSACTION_IN_PROGRESS = 2
    TRANSACTION_NOT_IN_PROGRESS = 3
    INVALID_SESSION = 4

    CONFIG_NOT_FOUND = 10
    CONFIG_MISSING_PROPERTY = 11
    CONFIG_MULTIPLE_PROPERTIES = 12
    CONFIG_INVALID_VALUE = 13
    CONFIG_FILE_MISSING = 14
    CONFIG_INVALID_CORE_ID = 15
    CONFIG_INVALID_REPOSITORY = 16
    UNKNOWN_DRIVER_ERROR = 17
    DRIVER_UNAVAILABLE = 18

    INVALID_PATH = 20
    UNKNOWN_PATH = 21
    INVALID_LOGIN = 22
    PATH_EXISTS = 23
    UNKNOWN_RESOURCE_TYPE = 24

    BROKEN_ALIAS = 30
    OBJECT_DELETED = 31
    PERMISSION_DENIED = 32
    INVALID_ACL_IDENT = 33
    USER_EXISTS = 34
    GROUP_EXISTS = 35

    XML_PARSE_EXCEPTION = 40
    XSLT_PARSE_EXCEPTION = 41

    UNKNOWN_SERVER = 50
    NOT_SUPPORTED = 51
    UNKNOWN_RPC_COMMAND = 52

    INVALID_XML = 60

    UNKNOWN_VALIDATION_TYPE = 70

    VALIDATION_ERROR = 100

    SWISH_NOT_SUPPORTED = 200

    EXTENSION_MISSING_REQUIRED_ATTRIBUTE = 250

    ALREADY_GROUP_MEMBER = 300


g_errorMessages = {
    Error.INTERNAL_ERROR: _('You have come across internal bug in 4Suite '
                            'Server.  Please report this error code to '
                            'support@4suite.org: %(message)s'),
    Error.TRANSACTION_IN_PROGRESS: _('Transaction already in progress'),
    Error.TRANSACTION_NOT_IN_PROGRESS: _('Transaction not in progress'),
    Error.INVALID_SESSION: _("Your session ID is invalid"),

    Error.CONFIG_NOT_FOUND: _('Unable to find configuration file.  Please '
                              'set FTSERVER_CONFIG_FILE in your environment.'),
    Error.CONFIG_MISSING_PROPERTY: _('Missing required configuration property '
                                     '%(property)s.  Please specify in the '
                                     'configuration file'),
    Error.CONFIG_MULTIPLE_PROPERTIES: _('Multiple configuration properties: '
                                        '%(property)s'),
    Error.CONFIG_INVALID_VALUE : _('Property %(property)s has invalid value, '
                                   '%(reason)s'),
    Error.CONFIG_FILE_MISSING: _('Unable to find configuration file %(file)s.'),
    Error.CONFIG_INVALID_CORE_ID: _('Invalid Core ID \'%(name)s\'. Make sure '
                                    'config file has rdf:ID on Core element.'),
    Error.CONFIG_INVALID_REPOSITORY: _('The Repository either does not exist or '
                                       'is misconfigured.  Please see '
                                       '4ss_manager init --help for details..'),

    Error.UNKNOWN_DRIVER_ERROR: _('Driver type %(driver)r is unknown.'),
    Error.DRIVER_UNAVAILABLE : _('Driver %(driver)r is unavailable.\n'
                                 '%(reason)s'),
    

    Error.UNKNOWN_PATH: _('Path %(path)s, is unknown'),
    Error.INVALID_PATH: _('Path %(path)s, is not of type %(type)s'),
    Error.PATH_EXISTS: _('Path %(path)s, is already in the system'),
    Error.INVALID_LOGIN: _('Invalid Login'),
    Error.UNKNOWN_RESOURCE_TYPE: _('Resource Type %(type)s is unknown'),

    Error.BROKEN_ALIAS: _('Alias %(path)s is broken'),
    Error.OBJECT_DELETED: _('Object %(path)s has been deleted'),
    Error.PERMISSION_DENIED: _("You do not have '%(level)s' access to %(path)s"),
    Error.INVALID_ACL_IDENT: _("ACL identifier %(aclIdent)s is unknown by the system."),
    Error.USER_EXISTS: _("The user name '%(userName)s' is in use by the system."),
    Error.GROUP_EXISTS: _("The group name '%(groupName)s' is in use by the system."),


    Error.XML_PARSE_EXCEPTION: _("Xml Parse Exception: %(message)s"),
    Error.XSLT_PARSE_EXCEPTION: _("Xslt Parse Exception: %(message)s"),

    Error.UNKNOWN_SERVER : _("Unknown protocol server: %(server)s"),
    Error.NOT_SUPPORTED : _('Requested operation not supported: %(reason)s'),
    Error.UNKNOWN_RPC_COMMAND : _("The RPC command '%(cmd)s' was not recognized."),

    Error.INVALID_XML : _("The XML is not in proper format: %(msg)s"),

    Error.UNKNOWN_VALIDATION_TYPE : _("The validation type %(type)s is unknown"),


    Error.VALIDATION_ERROR : _('Validation Error: %(message)s'),

    Error.SWISH_NOT_SUPPORTED : _("Text indexing with swish is not supported: %(reason)s"),

    Error.EXTENSION_MISSING_REQUIRED_ATTRIBUTE : _("Extension Element %(element)s missing required attribute %(name)s"),

    Error.ALREADY_GROUP_MEMBER : _('%(userName)s is already a member of group %(groupName)s.'),


}

