<?xml version="1.0"?>
<!DOCTYPE xsl:stylesheet [
  <!ENTITY nbsp "&#160;">
  <!ENTITY bbschema "http://uche.ogbuji.net/example/buyerbase/schema#">
  <!ENTITY bb "http://uche.ogbuji.net/example/buyerbase">
  <!ENTITY rdf "http://www.w3.org/1999/02/22-rdf-syntax-ns#">
  <!ENTITY rdfs "http://www.w3.org/2000/01/rdf-schema#">
  <!ENTITY f "http://xmlns.4suite.org/ext">
  <!ENTITY fres "http://xmlns.4suite.org/reserved">
  <!ENTITY dc "http://purl.org/dc/elements/1.1#">
]>
<xsl:stylesheet
  version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:fcore="http://xmlns.4suite.org/4ss/score"
  xmlns:frdf="http://xmlns.4suite.org/4ss/rdf"
  xmlns:fhttp="http://xmlns.4suite.org/4ss/http"
  xmlns:exslt="http://exslt.org/common"
  xmlns:exslt-set="http://exslt.org/sets"
  xmlns:exslt-math="http://exslt.org/math"
  xmlns:exslt-functions="http://exslt.org/functions"
  xmlns:exslt-date-time="http://exslt.org/dates-and-times"
  xmlns:dc="&dc;"
  xmlns:fres="&fres;"
  xmlns:bb="&bb;"
  xmlns:rdf="&rdf;"
  xmlns:f="&f;"
  extension-element-prefixes="f frdf fhttp fcore exslt exslt-set exslt-math exslt-functions exslt-date-time">

  <!--
File:  home.xslt

Description:

   This stylesheet is used to create the login page for buyer base

WWW: http://4suite.org        e-mail: support@4suite.org

Copyright 2000-2002 Fourthought, Inc (USA)
See  http://4suite.org/COPYRIGHT  for license and copyright information

  -->

  <xsl:include href="menu-includes.xslt"/>

  <!-- this query string param will have been set to 1 if the previous login attempt failed -->
  <xsl:param name="invalid" select="0"/>

  <!-- this query string param will have been set to 1 if the session expired -->
  <xsl:param name="expired" select="0"/>

  <xsl:template match="/">
    <xsl:call-template name="menus">
      <xsl:with-param name="expired" select="$expired"/>
      <xsl:with-param name="pageTitle" select="'Buyer Base - Login'"/>
    </xsl:call-template>
  </xsl:template>

  <xsl:template name="body">
      <table width="695" class="normal">
        <tr>
          <td>
            <p class="blackTitle">BuyerBase is a demo of 4Suite Server: a complete application written without traditional application code. Everything is done via XSLT, interacting with the server via extension functions &amp; elements.</p>
          </td>
        </tr>
        <tr class="cellBlue">
          <td class="menucell" align="left"><div class="menu">Login</div></td>
        </tr>
        <tr>
          <td>
            <xsl:if test="$invalid">
              <p class="blackTitle"><font color="red">Invalid login!</font></p>
            </xsl:if>
            <form method="post" action="{$fres:uri-path}">
              <input type='hidden' name='post-login' value='/buyerbase/?xslt=index.xslt'/>
              <input type='hidden' name='invalid-login' value='/buyerbase/?xslt=home.xslt&amp;invalid=1'/>
              <input type='hidden' name='action-name' value='login'/>
              <p class="normal">Please enter your login information:</p>
              <p class="normal">User Name:&nbsp; <input type="text" name="user-name" size="20" class="textBox" tabindex="1"/></p>
              <p class="normal">Password:&nbsp;&nbsp;&nbsp; <input type="password" name="password" size="20" class="textBox" tabindex="2"/></p>
              <input type="submit" value="Login" class="button" name="login" tabindex="3"/>
            </form>
          </td>
        </tr>
      </table>
  </xsl:template>
</xsl:stylesheet>
