########################################################################
#
# File Name:            CommentElement.py
#
# Documentation:        http://docs.4suite.org/4XSLT/CommentElement.py.html
#
"""
Implementation of the XSLT Spec comment stylesheet element.
WWW: http://4suite.org/4XSLT        e-mail: support@4suite.org

Copyright (c) 1999-2001 Fourthought Inc, USA.   All Rights Reserved.
See  http://4suite.org/COPYRIGHT  for license and copyright information
"""
from Ft.Xml.Xslt import XsltException, Error, XSL_NAMESPACE, XsltElement
from Ft.Xml.Xslt import CategoryTypes
from Ft.Xml.Xslt import ContentInfo

class CommentElement(XsltElement):

    category = CategoryTypes.INSTRUCTION
    content = ContentInfo.Template
    legalAttrs = {}

    def instantiate(self, context, processor):
        context.processorNss = self.namespaces
        context.currentInstruction = self

        processor.pushResult()
        try:
            for child in self.children:
                context = child.instantiate(context, processor)[0]
        finally:
            rtf = processor.popResult()

        processor.writers[-1].comment(rtf.stringValue)

        return (context,)
